using Documenter, PSBoardDataBase

DocMeta.setdocmeta!(PSBoardDataBase, :DocTestSetup, :(using PSBoardDataBase); recursive = true)

makedocs(
    modules = [PSBoardDataBase],
    authors = "Wataru Otsubo <wotsubo@icepp.s.u-tokyo.ac.jp>",
    sitename = "PSBoard DataBase",
    format = Documenter.HTML(;
        canonical = "https://wotsubo.web.cern.ch",
        edit_link = "main",
        assets = String[],
    ),
    repo = Remotes.GitLab("https://gitlab.cern.ch", "wotsubo", "PSBoardDataBase"),
    pages = [
        "Home" => "index.md",
    ]
)
